Ai agents
Agent prompt history
GET
History of the agent's instructions, critical instructions and skill texts (owner/admin).
bearer agents:readheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: agents:read
agentId*stringAI agent id. Never invent ids – list resources first.
Length
1 <= length <= 64Success
application/json- response
data*array<>curl -X GET "https://example.com/agents/string/prompt-revisions"{ "data": [ { "id": "string", "reason": "string", "isCurrent": true, "restoredFromId": "string", "instructionsLength": 0, "criticalInstructionCount": 0, "skillCount": 0, "createdAt": 0 } ]}